Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.displayelements
Class PointDisplayElement

    java.lang.Object
      org.deegree.graphics.displayelements.AbstractDisplayElement
          org.deegree.graphics.displayelements.GeometryDisplayElement
              org.deegree.graphics.displayelements.PointDisplayElement

All Implemented Interfaces:
  Serializable, DisplayElement

     class PointDisplayElement

extends GeometryDisplayElement

DisplayElement that encapsulates a point geometry (`GM_Point`) and a `PointSymbolizer`.

Version:
  $Revision: 20198 $ $Date: 2009-10-20 09:18:00 +0200 (Di, 20. Okt 2009) $
Author:
  Andreas Poth, Markus Schneider

Field Summary

Fields inherited from class org.deegree.graphics.displayelements.GeometryDisplayElement
`geometry, highlightSymbolizer, placement, selectedSymbolizer, symbolizer`

Fields inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`feature`

Constructor Summary
`PointDisplayElement(Feature feature, MultiPoint geometry)` Creates a new PointDisplayElement object.
`PointDisplayElement(Feature feature, MultiPoint geometry, PointSymbolizer symbolizer)` Creates a new PointDisplayElement object.
`PointDisplayElement(Feature feature, Point geometry)` Creates a new PointDisplayElement_Impl object.
`PointDisplayElement(Feature feature, Point geometry, PointSymbolizer symbolizer)` Creates a new PointDisplayElement_Impl object.

Method Summary
`void` | `paint(Graphics g, GeoTransform projection, double scale)` renders the DisplayElement to the submitted graphic context

Methods inherited from class org.deegree.graphics.displayelements.GeometryDisplayElement
`doesScaleConstraintApply, getGeometry, getHighlightSymbolizer, getSelectedSymbolizer, getSymbolizer, growEnvelope, setGeometry, setHighlightSymbolizer, setPlacement, setSelectedSymbolizer, setSymbolizer`

Methods inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`getAssociateFeatureId, getFeature, isHighlighted, isSelected, setFeature, setHighlighted, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointDisplayElement

    public PointDisplayElement(Feature feature,
                               Point geometry)

  Creates a new PointDisplayElement_Impl object.

  Parameters:
    `feature` -
    `geometry` -

### PointDisplayElement

    public PointDisplayElement(Feature feature,
                               Point geometry,
                               PointSymbolizer symbolizer)

  Creates a new PointDisplayElement_Impl object.

  Parameters:
    `feature` -
    `geometry` -
    `symbolizer` -

### PointDisplayElement

    public PointDisplayElement(Feature feature,
                               MultiPoint geometry)

  Creates a new PointDisplayElement object.

  Parameters:
    `feature` -
    `geometry` -

### PointDisplayElement

    public PointDisplayElement(Feature feature,
                               MultiPoint geometry,
                               PointSymbolizer symbolizer)

  Creates a new PointDisplayElement object.

  Parameters:
    `feature` -
    `geometry` -
    `symbolizer` -

Method Detail

### paint

    public void paint(Graphics g,
                      GeoTransform projection,
                      double scale)

  renders the DisplayElement to the submitted graphic context

  Parameters:
    `g` - graphics context to render to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org